libsyncml 0.5.4

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
SmlXmlAssemblerCommand Struct Reference
XML Assembler Internals
Collaboration diagram for SmlXmlAssemblerCommand:

## Data Fields

SmlCommandType | cmdType
xmlBuffer * | buffer
SmlXmlAssemblerNodeType | nodeType
unsigned int | cmdID
GList * | children

## Detailed Description

Definition at line 45 of file sml_xml_assm_internals.h.

## Field Documentation

SmlCommandType SmlXmlAssemblerCommand::cmdType

The type of the command. Used the make the opening and closing tags

Definition at line 47 of file sml_xml_assm_internals.h.

xmlBuffer* SmlXmlAssemblerCommand::buffer

The buffer that holds the assembled data of this command

Definition at line 49 of file sml_xml_assm_internals.h.

SmlXmlAssemblerNodeType SmlXmlAssemblerCommand::nodeType

The type of the node. Either a opening or a closing node

Definition at line 51 of file sml_xml_assm_internals.h.

unsigned int SmlXmlAssemblerCommand::cmdID

The command id. Needed if you want to add children

Definition at line 53 of file sml_xml_assm_internals.h.

The documentation for this struct was generated from the following file:

- /build/buildd/libsyncml-0.5.4/libsyncml/parser/sml_xml_assm_internals.h